Bug 1416280 (CVE-2017-5396) - CVE-2017-5396 Mozilla: Use-after-free with Media Decoder (MFSA 2017-02)
Summary: CVE-2017-5396 Mozilla: Use-after-free with Media Decoder (MFSA 2017-02)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5396
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1414732
TreeView+ depends on / blocked
 
Reported: 2017-01-25 06:42 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 14:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-02 06:31:25 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0190 normal SHIPPED_LIVE Critical: firefox security update 2017-02-21 17:18:56 UTC
Red Hat Product Errata RHSA-2017:0238 normal SHIPPED_LIVE Important: thunderbird security update 2017-02-02 09:38:23 UTC

Description Huzaifa S. Sidhpurwala 2017-01-25 06:42:59 UTC
A use-after-free vulnerability in the Media Decoder when working with media files when some events are fired after the media elements are freed from memory.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-02/#CVE-2017-5396


Acknowledgements:

Name: the Mozilla project
Upstream: Filipe Gomes

Comment 1 errata-xmlrpc 2017-01-25 09:33:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0190 https://rhn.redhat.com/errata/RHSA-2017-0190.html

Comment 2 errata-xmlrpc 2017-02-02 04:39:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2017:0238 https://rhn.redhat.com/errata/RHSA-2017-0238.html


Note You need to log in before you can comment on or make changes to this bug.